Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class DefaultActionProxyFactory

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxyFactory

All Implemented Interfaces:
  ActionProxyFactory

Direct Known Subclasses:
  StrutsActionProxyFactory

    public class DefaultActionProxyFactory

extends Object
implements ActionProxyFactory

DefaultActionProxyFactory

Author:
  Jason Carreira Created Jun 15, 2003 5:19:13 PM

Field Summary
`protected Container` | `container`

Constructor Summary
`DefaultActionProxyFactory()`

Method Summary
`ActionProxy` | `createActionProxy(String namespace, String actionName, Map extraContext)` Use this method to build an DefaultActionProxy instance.
`ActionProxy` | `createActionProxy(String namespace, String actionName, Map extraContext, boolean executeResult, boolean cleanupContext)` Use this method to build an DefaultActionProxy instance.
`void` | `setContainer(Container container)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected Container container

Constructor Detail

### DefaultActionProxyFactory

    public DefaultActionProxyFactory()

Method Detail

### setContainer

    public void setContainer(Container container)

### createActionProxy

    public ActionProxy createActionProxy(String namespace,
                                         String actionName,
                                         Map extraContext)
                                  throws Exception

  Use this method to build an DefaultActionProxy instance.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy
  Returns:
    ActionProxy
  Throws:
    `Exception`

### createActionProxy

    public ActionProxy createActionProxy(String namespace,
                                         String actionName,
                                         Map extraContext,
                                         boolean executeResult,
                                         boolean cleanupContext)
                                  throws Exception

  Use this method to build an DefaultActionProxy instance.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy
    `executeResult` - flag which tells whether the result should be executed after the action
  Returns:
    ActionProxy
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.